import request from '@/utils/request'

// 查询入库记录列表
export function listInStore(query) {
  return request({
    url: '/base/inStore/list',
    method: 'get',
    params: query
  })
}

// 查询入库记录详细
export function getInStore(objid) {
  return request({
    url: '/base/inStore/' + objid,
    method: 'get'
  })
}

// 新增入库记录
export function addInStore(data) {
  return request({
    url: '/base/inStore',
    method: 'post',
    data: data
  })
}

// 修改入库记录
export function updateInStore(data) {
  return request({
    url: '/base/inStore',
    method: 'put',
    data: data
  })
}

// 删除入库记录
export function delInStore(objid) {
  return request({
    url: '/base/inStore/' + objid,
    method: 'delete'
  })
}
